Bug 1012994 - Mark automatic unfence in metadata
Mark automatic unfence in metadata
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: fence-agents (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 10:31 EDT by Marek Grac
Modified: 2014-06-18 03:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: fence-agents-4.0.2-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:27:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Grac 2013-09-27 10:31:19 EDT
Metadata should contain information that fence agent should run "unfence" automatically after start of cluster. 


<action name="on" automatic="1" /> if needed
<action name="on" /> otherwise (or alternatively <action name="on" automatic="0" />
Comment 1 Marek Grac 2013-09-27 10:38:11 EDT
https://git.fedorahosted.org/cgit/fence-agents.git/commit/?id=003fcf63623fe42b5879908eaec8b87da160be9c

Unit test:

> fence_scsi -o metadata | grep automatic
<action name="on" on_target="1" automatic="1"/>

> fence_apc -o metadata | grep automatic
<action name="on" automatic="0"/>
Comment 7 Ludek Smid 2014-06-13 07:27:53 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.